"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const strings_1 = require("vs/base/common/strings");
function renderCodicons(text) {
    return strings_1.escape(text);
}
exports.renderCodicons = renderCodicons;
class CodiconLabel {
    constructor(container) {
        this._container = container;
    }
    set text(text) {
        this._container.innerHTML = renderCodicons(text || '');
    }
}
exports.CodiconLabel = CodiconLabel;
//# sourceMappingURL=codiconLabel.mock.js.map