"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const contextkey_1 = require("vs/platform/contextkey/common/contextkey");
exports.OutlineViewId = 'outline';
exports.OutlineViewFiltered = new contextkey_1.RawContextKey('outlineFiltered', false);
exports.OutlineViewFocused = new contextkey_1.RawContextKey('outlineFocused', false);
var OutlineConfigKeys;
(function (OutlineConfigKeys) {
    OutlineConfigKeys["icons"] = "outline.icons";
    OutlineConfigKeys["problemsEnabled"] = "outline.problems.enabled";
    OutlineConfigKeys["problemsColors"] = "outline.problems.colors";
    OutlineConfigKeys["problemsBadges"] = "outline.problems.badges";
})(OutlineConfigKeys = exports.OutlineConfigKeys || (exports.OutlineConfigKeys = {}));
//# sourceMappingURL=outline.js.map