"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
require("vs/editor/browser/controller/coreCommands");
require("vs/editor/browser/widget/codeEditorWidget");
require("vs/editor/browser/widget/diffEditorWidget");
require("vs/editor/browser/widget/diffNavigator");
require("vs/editor/contrib/bracketMatching/bracketMatching");
require("vs/editor/contrib/caretOperations/caretOperations");
require("vs/editor/contrib/caretOperations/transpose");
require("vs/editor/contrib/clipboard/clipboard");
require("vs/editor/contrib/codeAction/codeActionContributions");
require("vs/editor/contrib/codelens/codelensController");
require("vs/editor/contrib/colorPicker/colorDetector");
require("vs/editor/contrib/comment/comment");
require("vs/editor/contrib/contextmenu/contextmenu");
require("vs/editor/contrib/cursorUndo/cursorUndo");
require("vs/editor/contrib/dnd/dnd");
require("vs/editor/contrib/find/findController");
require("vs/editor/contrib/folding/folding");
require("vs/editor/contrib/fontZoom/fontZoom");
require("vs/editor/contrib/format/formatActions");
require("vs/editor/contrib/goToDefinition/goToDefinitionCommands");
require("vs/editor/contrib/goToDefinition/goToDefinitionMouse");
require("vs/editor/contrib/gotoError/gotoError");
require("vs/editor/contrib/hover/hover");
require("vs/editor/contrib/inPlaceReplace/inPlaceReplace");
require("vs/editor/contrib/linesOperations/linesOperations");
require("vs/editor/contrib/links/links");
require("vs/editor/contrib/multicursor/multicursor");
require("vs/editor/contrib/parameterHints/parameterHints");
require("vs/editor/contrib/referenceSearch/referenceSearch");
require("vs/editor/contrib/rename/rename");
require("vs/editor/contrib/smartSelect/smartSelect");
require("vs/editor/contrib/snippet/snippetController2");
require("vs/editor/contrib/suggest/suggestController");
require("vs/editor/contrib/tokenization/tokenization");
require("vs/editor/contrib/toggleTabFocusMode/toggleTabFocusMode");
require("vs/editor/contrib/wordHighlighter/wordHighlighter");
require("vs/editor/contrib/wordOperations/wordOperations");
require("vs/editor/contrib/wordPartOperations/wordPartOperations");
// Load up these strings even in VSCode, even if they are not used
// in order to get them translated
require("vs/editor/common/standaloneStrings");
//# sourceMappingURL=editor.all.js.map