"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const ipc_cp_1 = require("vs/base/parts/ipc/node/ipc.cp");
const watcherIpc_1 = require("vs/platform/files/node/watcher/nsfw/watcherIpc");
const nsfwWatcherService_1 = require("vs/platform/files/node/watcher/nsfw/nsfwWatcherService");
const server = new ipc_cp_1.Server('watcher');
const service = new nsfwWatcherService_1.NsfwWatcherService();
const channel = new watcherIpc_1.WatcherChannel(service);
server.registerChannel('watcher', channel);
//# sourceMappingURL=watcherApp.js.map