"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const requestService_1 = require("vs/platform/request/node/requestService");
const objects_1 = require("vs/base/common/objects");
const electron_1 = require("electron");
function getRawRequest(options) {
    return electron_1.net.request;
}
class RequestMainService extends requestService_1.RequestService {
    request(options, token) {
        return super.request(objects_1.assign({}, options || {}, { getRawRequest }), token);
    }
}
exports.RequestMainService = RequestMainService;
//# sourceMappingURL=requestMainService.js.map