"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const instantiation_1 = require("vs/platform/instantiation/common/instantiation");
exports.ITelemetryService = instantiation_1.createDecorator('telemetryService');
// Keys
exports.instanceStorageKey = 'telemetry.instanceId';
exports.currentSessionDateStorageKey = 'telemetry.currentSessionDate';
exports.firstSessionDateStorageKey = 'telemetry.firstSessionDate';
exports.lastSessionDateStorageKey = 'telemetry.lastSessionDate';
//# sourceMappingURL=telemetry.js.map