"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const uri_1 = require("vs/base/common/uri");
const workspace_1 = require("vs/platform/workspace/common/workspace");
const platform_1 = require("vs/base/common/platform");
const wsUri = uri_1.URI.file(platform_1.isWindows ? 'C:\\testWorkspace' : '/testWorkspace');
exports.TestWorkspace = testWorkspace(wsUri);
function testWorkspace(resource) {
    return new workspace_1.Workspace(resource.toString(), [workspace_1.toWorkspaceFolder(resource)]);
}
exports.testWorkspace = testWorkspace;
//# sourceMappingURL=testWorkspace.js.map