"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const extensions_1 = require("vs/workbench/contrib/extensions/common/extensions");
function showExtensionQuery(viewletService, query) {
    return viewletService.openViewlet(extensions_1.VIEWLET_ID, true).then(viewlet => {
        if (viewlet) {
            viewlet.search(query);
        }
    });
}
exports.showExtensionQuery = showExtensionQuery;
//# sourceMappingURL=showExtensionQuery.js.map