"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const extensions_1 = require("vs/platform/instantiation/common/extensions");
const terminal_1 = require("vs/workbench/contrib/terminal/browser/terminal");
const terminalInstanceService_1 = require("vs/workbench/contrib/terminal/electron-browser/terminalInstanceService");
const terminal_2 = require("vs/workbench/contrib/terminal/node/terminal");
const terminalShellConfig_1 = require("vs/workbench/contrib/terminal/common/terminalShellConfig");
const terminalNativeService_1 = require("vs/workbench/contrib/terminal/electron-browser/terminalNativeService");
const terminal_3 = require("vs/workbench/contrib/terminal/common/terminal");
terminalShellConfig_1.registerShellConfiguration(terminal_2.getSystemShell);
extensions_1.registerSingleton(terminal_3.ITerminalNativeService, terminalNativeService_1.TerminalNativeService, true);
extensions_1.registerSingleton(terminal_1.ITerminalInstanceService, terminalInstanceService_1.TerminalInstanceService, true);
//# sourceMappingURL=terminal.contribution.js.map