"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
require("vs/platform/update/common/update.config.contribution");
const platform_1 = require("vs/platform/registry/common/platform");
const contributions_1 = require("vs/workbench/common/contributions");
const actions_1 = require("vs/workbench/common/actions");
const actions_2 = require("vs/platform/actions/common/actions");
const update_1 = require("vs/workbench/contrib/update/browser/update");
const workbench = platform_1.Registry.as(contributions_1.Extensions.Workbench);
workbench.registerWorkbenchContribution(update_1.ProductContribution, 3 /* Restored */);
workbench.registerWorkbenchContribution(update_1.UpdateContribution, 3 /* Restored */);
// Editor
platform_1.Registry.as(actions_1.Extensions.WorkbenchActions)
    .registerWorkbenchAction(new actions_2.SyncActionDescriptor(update_1.ShowCurrentReleaseNotesAction, update_1.ShowCurrentReleaseNotesAction.ID, update_1.ShowCurrentReleaseNotesAction.LABEL), 'Show Release Notes');
//# sourceMappingURL=update.contribution.js.map