"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const platform = require("vs/base/common/platform");
const platform_1 = require("vs/platform/registry/common/platform");
const contributions_1 = require("vs/workbench/common/contributions");
const update_1 = require("vs/workbench/contrib/update/electron-browser/update");
const workbench = platform_1.Registry.as(contributions_1.Extensions.Workbench);
if (platform.isWindows) {
    if (process.arch === 'ia32') {
        workbench.registerWorkbenchContribution(update_1.Win3264BitContribution, 3 /* Restored */);
    }
}
//# sourceMappingURL=update.contribution.js.map