"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const uri_1 = require("vs/base/common/uri");
const instantiation_1 = require("vs/platform/instantiation/common/instantiation");
const resources_1 = require("vs/base/common/resources");
exports.IBackupFileService = instantiation_1.createDecorator('backupFileService');
function toBackupWorkspaceResource(backupWorkspacePath, environmentService) {
    return resources_1.joinPath(environmentService.userRoamingDataHome, resources_1.relativePath(uri_1.URI.file(environmentService.userDataPath), uri_1.URI.file(backupWorkspacePath)));
}
exports.toBackupWorkspaceResource = toBackupWorkspaceResource;
//# sourceMappingURL=backup.js.map