"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
require("vs/workbench/workbench.web.main");
const web_main_1 = require("vs/workbench/browser/web.main");
const uri_1 = require("vs/base/common/uri");
exports.URI = uri_1.URI;
const log_1 = require("vs/platform/log/common/log");
exports.LogLevel = log_1.LogLevel;
const event_1 = require("vs/base/common/event");
exports.Event = event_1.Event;
exports.Emitter = event_1.Emitter;
const lifecycle_1 = require("vs/base/common/lifecycle");
exports.Disposable = lifecycle_1.Disposable;
/**
 * Experimental: Creates the workbench with the provided options in the provided container.
 *
 * @param domElement the container to create the workbench in
 * @param options for setting up the workbench
 */
function create(domElement, options) {
    return web_main_1.main(domElement, options);
}
exports.create = create;
//# sourceMappingURL=workbench.web.api.js.map