"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("vs/base/common/path");
const uuid_1 = require("vs/base/common/uuid");
function getRandomTestPath(tmpdir, ...segments) {
    return path_1.join(tmpdir, ...segments, uuid_1.generateUuid());
}
exports.getRandomTestPath = getRandomTestPath;
//# sourceMappingURL=testUtils.js.map