"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const editorExtensions_1 = require("vs/editor/browser/editorExtensions");
const codeActionCommands_1 = require("vs/editor/contrib/codeAction/codeActionCommands");
editorExtensions_1.registerEditorContribution(codeActionCommands_1.QuickFixController);
editorExtensions_1.registerEditorAction(codeActionCommands_1.QuickFixAction);
editorExtensions_1.registerEditorAction(codeActionCommands_1.RefactorAction);
editorExtensions_1.registerEditorAction(codeActionCommands_1.SourceAction);
editorExtensions_1.registerEditorAction(codeActionCommands_1.OrganizeImportsAction);
editorExtensions_1.registerEditorAction(codeActionCommands_1.AutoFixAction);
editorExtensions_1.registerEditorAction(codeActionCommands_1.FixAllAction);
editorExtensions_1.registerEditorCommand(new codeActionCommands_1.CodeActionCommand());
//# sourceMappingURL=codeActionContributions.js.map