"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const extHost_protocol_1 = require("vs/workbench/api/common/extHost.protocol");
class ExtHostClipboard {
    constructor(mainContext) {
        this._proxy = mainContext.getProxy(extHost_protocol_1.MainContext.MainThreadClipboard);
    }
    readText() {
        return this._proxy.$readText();
    }
    writeText(value) {
        return this._proxy.$writeText(value);
    }
}
exports.ExtHostClipboard = ExtHostClipboard;
//# sourceMappingURL=extHostClipboard.js.map