"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const platform_1 = require("vs/platform/registry/common/platform");
const contributions_1 = require("vs/workbench/common/contributions");
const backupModelTracker_1 = require("vs/workbench/contrib/backup/common/backupModelTracker");
const backupRestorer_1 = require("vs/workbench/contrib/backup/common/backupRestorer");
// Register Backup Model Tracker
platform_1.Registry.as(contributions_1.Extensions.Workbench).registerWorkbenchContribution(backupModelTracker_1.BackupModelTracker, 1 /* Starting */);
// Register Backup Restorer
platform_1.Registry.as(contributions_1.Extensions.Workbench).registerWorkbenchContribution(backupRestorer_1.BackupRestorer, 1 /* Starting */);
//# sourceMappingURL=backup.contribution.js.map