"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const extensions_1 = require("vs/platform/instantiation/common/extensions");
const experimentService_1 = require("vs/workbench/contrib/experiments/common/experimentService");
const platform_1 = require("vs/platform/registry/common/platform");
const contributions_1 = require("vs/workbench/common/contributions");
const experimentalPrompt_1 = require("vs/workbench/contrib/experiments/browser/experimentalPrompt");
extensions_1.registerSingleton(experimentService_1.IExperimentService, experimentService_1.ExperimentService, true);
platform_1.Registry.as(contributions_1.Extensions.Workbench).registerWorkbenchContribution(experimentalPrompt_1.ExperimentalPrompts, 4 /* Eventually */);
//# sourceMappingURL=experiments.contribution.js.map