"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const platform_1 = require("vs/platform/registry/common/platform");
const contributions_1 = require("vs/workbench/common/contributions");
const workspaceStats_1 = require("vs/workbench/contrib/stats/electron-browser/workspaceStats");
// Register Workspace Stats Contribution
platform_1.Registry.as(contributions_1.Extensions.Workbench).registerWorkbenchContribution(workspaceStats_1.WorkspaceStats, 4 /* Eventually */);
//# sourceMappingURL=stats.contribution.js.map