"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const ipc_cp_1 = require("vs/base/parts/ipc/node/ipc.cp");
const searchIpc_1 = require("./searchIpc");
const rawSearchService_1 = require("./rawSearchService");
const server = new ipc_cp_1.Server('search');
const service = new rawSearchService_1.SearchService();
const channel = new searchIpc_1.SearchChannel(service);
server.registerChannel('search', channel);
//# sourceMappingURL=searchApp.js.map