"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const extensions_1 = require("vs/platform/instantiation/common/extensions");
const workspaces_1 = require("vs/platform/workspaces/common/workspaces");
class WorkspacesService {
    createUntitledWorkspace(folders, remoteAuthority) {
        return __awaiter(this, void 0, void 0, function* () {
            throw new Error('Untitled workspaces are currently unsupported in Web');
        });
    }
    deleteUntitledWorkspace(workspace) {
        return __awaiter(this, void 0, void 0, function* () {
            throw new Error('Untitled workspaces are currently unsupported in Web');
        });
    }
    getWorkspaceIdentifier(workspacePath) {
        return __awaiter(this, void 0, void 0, function* () {
            throw new Error('Untitled workspaces are currently unsupported in Web');
        });
    }
}
exports.WorkspacesService = WorkspacesService;
extensions_1.registerSingleton(workspaces_1.IWorkspacesService, WorkspacesService, true);
//# sourceMappingURL=workspacesService.js.map